Subject: Re: Building ppc/powerpc kernel to run under QEMU.

From: Doug Maxey <[email-masked]>
Date: Fri, 11 May 2007 22:00:57 -0500

On Fri, 11 May 2007 21:46:35 EDT, Rob Landley wrote:
> On Thursday 10 May 2007 6:07 pm, Matt Sealey wrote:
> > QEMU really really wants a PREP kernel, and that stuff's just not in the new
> > arch/powerpc tree anymore is it?
> 
> In theory I could feed it a power mac kernel, but I'd have to create a 
> partitioned hard drive image to satisfy open hackware.  A prep kernel fakes 
> being a partitioned image sufficiently that I can use -kernel to boot.
> 
> > I'd love to see the device tree once QEMU's kernel has booted :D
> 
> So would I. :)
> 
> I'm told they've got that part working.  I once managed to get a powerpc 
> Ubuntu ISO image to boot under qemu, I just can't _build_ a kernel that does.  
> (I have no idea how to create the specially partitioned hard drive image it 
> wants, and since I got 5 other architectures working without needing to do 
> that, I'm looking for a way to make a prep kernel work so I won't have to.)

Have you tried to use parted (or fdisk) to set the first partition table
entry as type 0x41?   I personally have no experience with qemu, but do
fiddle with loading images with the real IBM firmware (a lot).  

What I usually end up doing is dd'ing a bootloader into the appropriate
sized 0x41 partition.  Am pretty sure no GPL stuff groks PREP partitions
per se, other than seeing the part type.

AIX stores its kernel in the PREP part, and boots from that partition
(no bootloader, loads kernel directly).

++doug